#
# Conditional build:
%bcond_without	ocaml_opt	# native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), remove when upstream will support it
%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

Summary:	OCaml bindings for ncurses
Summary(pl.UTF-8):	Wiązania OCamla do ncurses
Name:		ocaml-curses
Version:	1.0.4
Release:	2
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://download.savannah.gnu.org/releases/ocaml-tmk/%{name}-%{version}.tar.gz
# Source0-md5:	d99dce720b60cfc7297ca77b5be4aa8d
URL:		http://savannah.nongnu.org/projects/ocaml-tmk/
BuildRequires:	autoconf >= 2.50
BuildRequires:	gawk
BuildRequires:	ncurses-devel >= 5
BuildRequires:	ocaml >= 1:3.10.2
BuildRequires:	ocaml-findlib >= 1.3.3-3
ExcludeArch:	sparc64 s390 s390x
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OCaml bindings for ncurses.

%description -l pl.UTF-8
Wiązania OCamla do ncurses.

%package devel
Summary:	Development files for OCaml curses library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki OCamla curses
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This package contains libraries and signature files for developing
applications that use OCaml curses library.

%description devel -l pl.UTF-8
Ten pakiet zawiera biblioteki i pliki sygnatur do tworzenia aplikacji
z użyciem biblioteki OCamla curses.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--enable-widec

%{__make} -j1 all %{?with_ocaml_opt:opt}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{site-lib/curses,stublibs}

%{__make} install \
	OCAMLFIND_INSTFLAGS="-destdir $RPM_BUILD_ROOT%{_libdir}/ocaml"

%if %{with ocaml_opt}
# *.cmx missing from make install
cp -p *.cmx $RPM_BUILD_ROOT%{_libdir}/ocaml/curses
%endif

%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs/*.so.owner

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%dir %{_libdir}/ocaml/curses
%{_libdir}/ocaml/curses/META
%{_libdir}/ocaml/curses/curses.cma
%dir %{_libdir}/ocaml/stublibs
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllcurses_stubs.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/curses/*.cmi
%{_libdir}/ocaml/curses/curses.mli
%{_libdir}/ocaml/curses/libcurses_stubs.a
%if %{with ocaml_opt}
%{_libdir}/ocaml/curses/*.cmx
%{_libdir}/ocaml/curses/curses.a
%{_libdir}/ocaml/curses/curses.cmxa
%endif
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-curses.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 8cfe288
- rebuild with separate debuginfo build-ids

* Sat Sep 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 0e922e3
- cleanup, package CHANGES

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> 2a2282a
- fix files

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> 7a893b6
- up to 1.0.4

* Fri Jun 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 5dfa651
- cleaned up install, unified paths
- pl
- release 13

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 2e8146c
- rebuild with ocaml 4.04.1
- release 12 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> 7196d3b
- release 11 (by relup.sh)

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> bb1f5fe
- disable parallel build

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 7c05de7
- fix ocaml_opt bcond
- rel 10

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 6f13294
- rebuild with ocaml 4.02
- release 9 (by relup.sh)

* Sat Sep 07 2013 Elan Ruusamäe <glen@delfi.ee> 4595f38
- package ocaml/site-lib/stublibs dir here, until done properly

* Sat Aug 31 2013 Elan Ruusamäe <glen@delfi.ee> 1eb77ff
- install all to site-lib, then it ocamlfind can find .cmi

* Sat Aug 31 2013 Elan Ruusamäe <glen@delfi.ee> 88dee0d
- META needs to be in site-lib somewhy in pld. move

* Sat Aug 31 2013 Elan Ruusamäe <glen@delfi.ee> 53960c1
- new, version 1.0.3

